XnVersion.h File Reference
`#include "XnPlatform.h"`

Go to the source code of this file.

## Macros

#define | XN_MAJOR_VERSION 1
#define | XN_MINOR_VERSION 5
#define | XN_MAINTENANCE_VERSION 4
#define | XN_BUILD_VERSION 0
#define | XN_BRIEF_VERSION_STRING
#define | XN_VERSION (XN_MAJOR_VERSION*100000000 + XN_MINOR_VERSION*1000000 + XN_MAINTENANCE_VERSION*10000 + XN_BUILD_VERSION)
#define | XN_VERSION_STRING

## Macro Definition Documentation

## XN_BRIEF_VERSION_STRING

#define XN_BRIEF_VERSION_STRING

Value:
XN_STRINGIFY(XN_MAJOR_VERSION) "." \
XN_STRINGIFY(XN_MINOR_VERSION) "." \
XN_STRINGIFY(XN_MAINTENANCE_VERSION) \
" (Build " XN_STRINGIFY(XN_BUILD_VERSION) ")"
XN_BUILD_VERSION
#define XN_BUILD_VERSION
Definition XnVersion.h:40
XN_MAJOR_VERSION
#define XN_MAJOR_VERSION
Definition XnVersion.h:34
XN_MINOR_VERSION
#define XN_MINOR_VERSION
Definition XnVersion.h:36
XN_MAINTENANCE_VERSION
#define XN_MAINTENANCE_VERSION
Definition XnVersion.h:38

OpenNI version (in brief string format): "Major.Minor.Maintenance (Build)"

## XN_BUILD_VERSION

#define XN_BUILD_VERSION 0

OpenNI build version.

## XN_MAINTENANCE_VERSION

#define XN_MAINTENANCE_VERSION 4

OpenNI maintenance version.

## XN_MAJOR_VERSION

#define XN_MAJOR_VERSION 1

OpenNI major version.

## XN_MINOR_VERSION

#define XN_MINOR_VERSION 5

OpenNI minor version.

## XN_VERSION

#define XN_VERSION (XN_MAJOR_VERSION*100000000 + XN_MINOR_VERSION*1000000 + XN_MAINTENANCE_VERSION*10000 + XN_BUILD_VERSION)

OpenNI version (in numeric format): (OpenNI major version * 100000000 + OpenNI minor version * 1000000 + OpenNI maintenance version * 10000 + OpenNI build version).

## XN_VERSION_STRING

#define XN_VERSION_STRING

Value:
XN_BRIEF_VERSION_STRING "-" \
XN_PLATFORM_STRING " (" XN_TIMESTAMP ")"
XN_BRIEF_VERSION_STRING
#define XN_BRIEF_VERSION_STRING
Definition XnVersion.h:43

OpenNI version (in string format): "Major.Minor.Maintenance.Build-Platform (MMM DD YYYY HH:MM:SS)".